From 604bde6aae93934f8e67d0cda70f0e4004b50cc8 Mon Sep 17 00:00:00 2001
From: Justin Burkett <justin@burkett.cc>
Date: Tue, 3 Mar 2020 22:01:29 -0500
Subject: [PATCH] * lisp/window.el (fit-window-to-buffer): Don't use wrong
 window data

---
 lisp/window.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/window.el b/lisp/window.el
index bd825c09e1..039b133744 100644
--- a/lisp/window.el
+++ b/lisp/window.el
@@ -9124,8 +9124,8 @@ fit-window-to-buffer
 	       ;; wider than its frame's pixel width, its height
 	       ;; remains unaltered.
 	       (width (+ (car (window-text-pixel-size
-			       window (window-start) (point-max)
-			       (frame-pixel-width)
+			       window (window-start window) nil
+			       (frame-pixel-width (window-frame window))
 			       ;; Add one line-height to assure that
 			       ;; we're on the safe side.  This
 			       ;; overshoots when the first line below
-- 
2.21.1 (Apple Git-122.3)

